summaryrefslogtreecommitdiffstats
path: root/edksetup.sh
diff options
context:
space:
mode:
authorYunhua Feng <yunhuax.feng@intel.com>2018-09-05 17:27:05 +0800
committerYonghong Zhu <yonghong.zhu@intel.com>2018-10-13 09:57:14 +0800
commit04c47cd40111f85614ec51f6ba8d4e9a2f0fafde (patch)
treeb2a02b864df611726df279872f9ca4db51827f3c /edksetup.sh
parent8be15c61e88709c55970c5d5272d19bd9bba67fb (diff)
downloadedk2-04c47cd40111f85614ec51f6ba8d4e9a2f0fafde.tar.gz
edk2-04c47cd40111f85614ec51f6ba8d4e9a2f0fafde.tar.bz2
edk2-04c47cd40111f85614ec51f6ba8d4e9a2f0fafde.zip
BaseTools: Update windows and linux run scripts file to use Python3
Modify windows script, PosixLike script, edksetup.sh, edksetup.bat to use Python3 Cc: Liming Gao <liming.gao@intel.com> Cc: Yonghong Zhu <yonghong.zhu@intel.com> Contributed-under: TianoCore Contribution Agreement 1.1 Signed-off-by: Yunhua Feng <yunhuax.feng@intel.com> Reviewed-by: Liming Gao <liming.gao@intel.com>
Diffstat (limited to 'edksetup.sh')
-rwxr-xr-xedksetup.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/edksetup.sh b/edksetup.sh
index 93d6525758..d4e577e607 100755
--- a/edksetup.sh
+++ b/edksetup.sh
@@ -111,10 +111,41 @@ function SetupEnv()
fi
}
+function SetupPython3()
+{
+ for python in $(whereis python3)
+ do
+ python=$(echo $python | grep "[[:digit:]]$" || true)
+ python_version=${python##*python}
+ if [ -z "${python_version}" ];then
+ continue
+ fi
+ if [ -z $origin_version ];then
+ origin_version=$python_version
+ export PYTHON3=$python
+ continue
+ fi
+ ret=`echo "$origin_version < $python_version" |bc`
+ if [ "$ret" -eq 1 ]; then
+ origin_version=$python_version
+ export PYTHON3=$python
+ fi
+ done
+ if [ -z "$origin_version" ] || [ `echo "$origin_version < 3.6" |bc` -eq 1 ]; then
+ echo
+ echo ERROR!!!, python version should greater than or equal to version 3.6.
+ echo
+ return 1
+ fi
+
+
+}
+
function SourceEnv()
{
SetWorkspace &&
SetupEnv
+ SetupPython3
}
I=$#